DESC="Generate modified include files"

runtest()
{
  EXEC="${AGCC} --path ${TestSrcDir} -v2 -I ${TestSrcDir} --include_files --dest includes"
  if  ( ${EXEC} );then true;else
    ERR_MSG="Failed executing '${EXEC}'"
    return 1
  fi

  if [ ! -d includes ];then
    ERR_MSG="Directory with include files was not genereated"
    return 1
  fi
}